Name:           mplayer-fonts
Version:        1.1
Release:        0.lvn.3.2
Epoch:          0
Summary:        Fonts for MPlayer

Group:          Applications/Multimedia
License:        Various
URL:            http://mplayerhq.hu/
Source0:        http://www.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
Source1:        http://www.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-2.tar.bz2
Source2:        http://www.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-7.tar.bz2
Source3:        http://www.mplayerhq.hu/MPlayer/releases/fonts/font-arial-cp1250.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       mplayer >= 0:1.0-0.lvn.0.1.pre2
BuildArch:      noarch

%description
This package contains a collection of fonts for MPlayer. Included are
Arial fonts for ISO-8859-1, ISO-8859-2, ISO-8859-7 and CP1250.


%prep
%setup -q -c -a1 -a2 -a3


%build


%install
rm -rf $RPM_BUILD_ROOT

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
find . -type f -name "README*" -exec rm {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mplayer/fonts
cp -R font-arial-iso-8859-1/* $RPM_BUILD_ROOT%{_datadir}/mplayer/fonts/
cp -R font-arial-iso-8859-2/* $RPM_BUILD_ROOT%{_datadir}/mplayer/fonts/
cp -R font-arial-iso-8859-7/* $RPM_BUILD_ROOT%{_datadir}/mplayer/fonts/
cp -R font-arial-cp1250/* $RPM_BUILD_ROOT%{_datadir}/mplayer/fonts/

# Default font.
ln -s fonts/font-arial-18-iso-8859-1 $RPM_BUILD_ROOT%{_datadir}/mplayer/font

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%{_datadir}/mplayer/font
%{_datadir}/mplayer/fonts


%changelog
* Fri Nov 14 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:1.1-0.lvn.3
- Corrected mplayer version/release requirement to 1.0-0.lvn.0.1.pre2.

* Thu Nov 13 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:1.1-0.lvn.2
- Added last remaining font from the mplayer package.
- Require mplayer 1.0-0.lvn.1.pre1 to avoid conflict for Latin-1 font.

* Sun Oct 26 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:1.1-0.fdr.1
- Updated font-arial-{cp1250,iso-8859-2} (directory layout has changed).
- Added font-arial-iso-8859-7.

* Fri Jun 20 2003 Marius Johndal <mariuslj at ifi.uio.no> 0:1.0-0.fdr.1
- Initial RPM release. Split off from mplayer-0.90-0.fdr.7.
- Tried to make font naming somewhat more uniform.

